Loading...
Searching...
No Matches
Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true >:

## Public Types

typedef BCRSMatrix< T, A > | matrix_type
typedef S< BCRSMatrix< T, A > >::range_type | range_type
typedef range_type::field_type | field_type
typedef range_type::block_type | block_type
typedef matrix_type::size_type | size_type

## Public Member Functions

| OverlappingAssignerHelper (std::size_t maxlength, const matrix_type &mat, const range_type &b, range_type &x)
| Constructor.
void | deallocate ()
| Deallocates memory of the local vector.
void | resetIndexForNextDomain ()
field_type * | lhs ()
| Get the local left hand side.
field_type * | rhs ()
| Get the local right hand side.
void | relaxResult (field_type relax)
| relax the result.
void | operator() (const size_type &domain)
| calculate one entry of the local defect.
void | assignResult (block_type &res)
| Assigns the block to the current local index. At the same time the local defect is calculated for the index and stored in the rhs. Afterwards the is incremented for the next block.

## Static Public Attributes

static constexpr size_t | n = std::decay_t<decltype(Impl::asMatrix(std::declval<T>()))>::rows
static constexpr size_t | m = std::decay_t<decltype(Impl::asMatrix(std::declval<T>()))>::cols

## Member Typedef Documentation

## block_type

template<template< class > class S, typename T, typename A>

typedef range_type::block_type Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true >::block_type

## field_type

template<template< class > class S, typename T, typename A>

typedef range_type::field_type Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true >::field_type

## matrix_type

template<template< class > class S, typename T, typename A>

typedef BCRSMatrix<T, A> Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true >::matrix_type

## range_type

template<template< class > class S, typename T, typename A>

typedef S<BCRSMatrix<T,A>>::range_type Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true >::range_type

## size_type

template<template< class > class S, typename T, typename A>

typedef matrix_type::size_type Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true >::size_type

## Member Data Documentation

## m

template<template< class > class S, typename T, typename A>

size_t Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true >::m = std::decay_t<decltype(Impl::asMatrix(std::declval<T>()))>::cols

static constexpr

## n

template<template< class > class S, typename T, typename A>

size_t Dune::OverlappingAssignerHelper< S< BCRSMatrix< T, A > >, true >::n = std::decay_t<decltype(Impl::asMatrix(std::declval<T>()))>::rows

static constexpr

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh